// Ionic stark App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'stark' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'stark.controllers' is found in controllers.js
var db = null;
var DB_NAME = 'my.db';
angular.module('stark', [
	'ionic',
	'ionic.service.core',
	'config',
	'ionic.service.core',
	'ionic.service.push',
	'barebone.common',
	'menu',
	'passover',
    'about',
    'contact',
    'askrabbi',
    'companies',
	'barebone.apprate',
	'news',
	'resources',
	'barebone.vimeo',
	'barebone.sqlite',
	'barebone.lo-storage',
	'gMaps',
	'ngCordova',
	'alerts',
	'q-and-a',
	'angularSoap',
	'appliance'
])


.run(function($ionicPlatform, $cordovaSQLite, $rootScope, sqliteService, ENV, $state, $ionicHistory) {
	$ionicPlatform.ready(function() {
		// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
		// for form inputs)
		var notificationOpenedCallback = function(jsonData) {
		    console.log('didReceiveRemoteNotificationCallBack: ' + JSON.stringify(jsonData));
  		};

		window.plugins.OneSignal.startInit(ENV.oneSignal, {googleProjectNumber: ENV.gcmId})
			.handleNotificationOpened(notificationOpenedCallback)
			.endInit(); // v2.0

		  // Show an alert box if a notification comes in when the user is in your app.
		  // window.plugins.OneSignal.enableInAppAlertNotification(true);

		if(window.localStorage.getItem('passover_list')){
			window.localStorage.clear();
		}

		if (window.cordova && window.cordova.plugins.Keyboard) {
			window.cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
			// window.cordova.plugins.Keyboard.disableScroll(false);
		}
		if (window.StatusBar) {
			// org.apache.cordova.statusbar required
			StatusBar.styleDefault();
		}


		document.addEventListener('deviceready', function () {
			if(!window.localStorage.getItem('app_version')){
				window.localStorage.setItem('app_version', AppVersion.version);
			}
            $rootScope.app_version = window.localStorage.getItem('app_version');
            $rootScope.networkOffline = false;
			document.addEventListener("offline", onOffline, false);

			function onOffline() {
			    $rootScope.$broadcast('network:offline');
			    $rootScope.networkOffline = true;
			}

			document.addEventListener("online", onOnline, false);

			function onOnline() {
			    $rootScope.$broadcast('network:online');
			    $rootScope.networkOffline = false;
			}
			// $rootScope.$watch(function() {
			// 		return $cordovaKeyboard.isVisible()
			// 	}, function(value) {
			// 		console.log(value);
			// 		$rootScope.keyboardOpen = value;
			// });

			navigator.splashscreen.hide();


			// var onSuccess = function(position) {
			//
	        // 	console.log(position.coords);
	        // 	$rootScope.coords = {
	        // 		lat: position.coords.latitude,
			// 		lng: position.coords.longitude
			// 	};
			//
	    	// };

		    // onError Callback receives a PositionError object
		    //
		    // function onError(error) {
		    //     console.log('code: '    + error.code    + '\n' +
		    //           'message: ' + error.message + '\n');
		    // }
			//
		    //
	    	// navigator.geolocation.getCurrentPosition(onSuccess, onError, { timeout: 10000, enableHighAccuracy: true});

	    	$rootScope.openCamera = function() {

			    navigator.camera.getPicture(uploadPhoto, function cameraError(error) {
			        console.debug("Unable to obtain picture: " + error, "app");

			    },{
			    	quality : 75,
					destinationType : Camera.DestinationType.FILE_URI,
					sourceType : Camera.PictureSourceType.CAMERA,
					allowEdit : false,
					encodingType: Camera.EncodingType.JPEG,
					saveToPhotoAlbum: false,
					targetWidth: 1200,
					targetHeight: 1200
			    });
			}


	        function uploadPhoto(imageURI) {
	        	$rootScope.$broadcast('loading:show');
	            var options = new FileUploadOptions();
	            options.fileKey="file";
	            options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
	            options.mimeType="image/jpeg";
	            options.headers = {
	            	'Token': ENV.tokenStark
	            }

	            options.chunkedMode = false;

	            console.log(options);

	            var ft = new FileTransfer();
	            ft.upload(imageURI, ENV.apiEndpoint + "file_upload", win, fail, options);
	        }

	        function win(r) {
	            console.log("Response My = " + r);
	            console.log("Code = " + r.responseCode);
	            console.log("Response = " + r.response);
	            console.log("Sent = " + r.bytesSent);

	            $rootScope.removeButton = true;
	            $rootScope.attachedImage = r.response;
	            $rootScope.$broadcast('image_uploaded');
	            $rootScope.$broadcast('loading:hide');
	            // alert(r.response);
	        }

	        function fail(error) {
	            alert("An error has occurred: Code = " + error.code);
	        }

			$rootScope.$broadcast('dbExist');
			// Temp
			//db = window.sqlitePlugin.openDatabase({name: "my.db"});
			db = window.openDatabase("my.db", "1.0", "Stark DB", 1000000);
			db.transaction(function(tx) {
			 tx.executeSql('CREATE TABLE IF NOT EXISTS timestamp (id integer primary key, tableName text, timeStamp text)');
			 tx.executeSql('CREATE TABLE IF NOT EXISTS helper (id integer primary key, key text, value text)');
			})
			//
			// if(db){
				// $rootScope.$broadcast('dbExist');
			// }

			$rootScope.createTables = function(tableName, schema){
				//$cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS '+tableName+' (tid integer primary key, '+ schema +')');
				//return 'creted: '+tableName;
				db.transaction(function(tx) {
				 	tx.executeSql('CREATE TABLE IF NOT EXISTS '+tableName+' (tid integer primary key, '+ schema +')');
				})
			}

			$rootScope.checkTableExist = function(tablename){
				var query = "SELECT "+tablename+" FROM my.db WHERE type='table'";
				return $cordovaSQLite.execute(db, query, []).then(function(res){
					console.log(res);
					// item.id = res.insertId;
					return res;
				}, function (err) {
					console.error(err);
					// alert(err);
				});
			}

			$rootScope.getSchema = function(){
				var query = "SELECT name FROM sqlite_master WHERE type='table' ORDER BY name";
				return $cordovaSQLite.execute(db, query, []).then(function(res){
					var items = [];
					console.log(res);
					if(res.rows.length > 0) {
						for (var i = 0; i < res.rows.length; i++) {
							var item = res.rows.item(i);

							items.push(item);
						}
					} else {
						console.log('No results found');
					}

					return items;
				}, function (err) {
					console.error(err);
					// alert(err);
				});
			}

			$rootScope.setTimeStampTable = function(tablename, timeStamp){
				var query = 'INSERT INTO timestamp (tableName, timeStamp) VALUES (?, ?)';
				return $cordovaSQLite.execute(db, query, [tablename, timeStamp]).then(function(res) {
					console.log(res);
					// item.id = res.insertId;
					return res;
				}, function (err) {
					console.error(err);
					// alert(err);
				});
			}

			$rootScope.updateTimeStampTable = function(tablename, timeStamp){
				var query = 'UPDATE timestamp SET timeStamp = ? WHERE tableName = ?';
				return $cordovaSQLite.execute(db, query, [timeStamp, tablename]);
			}

			$rootScope.getTimeStampTable = function(tablename){
				console.log(tablename);
				var query = 'SELECT * FROM timestamp WHERE tableName =?';
				return $cordovaSQLite.execute(db, query,[tablename]).then(function(res){
					var items = [];
					if(res.rows.length > 0) {
						for (var i = 0; i < res.rows.length; i++) {
							var item = res.rows.item(i);

							items.push(item);
						}
					} else {
						console.log('No results found');
					}

					return items;
				});
			}

			$rootScope.deleteTimestampTable = function(tableName) {
				var query = 'DELETE FROM timestamp WHERE tableName = ?';
				return $cordovaSQLite.execute(db, query, [tableName]);
			}

			$rootScope.updateItem = function(item) {
				var query = 'UPDATE items SET title = ?, teaser = ? WHERE id = ?';
				return $cordovaSQLite.execute(db, query, [item.title, item.teaser, item.id]);
			}

			$rootScope.selectAll = function(tableName) {
				var query = 'SELECT * FROM '+tableName;
				return $cordovaSQLite.execute(db, query, []).then(function(res) {
					var items = [];
					if(res.rows.length > 0) {
						for (var i = 0; i < res.rows.length; i++) {
							var item = res.rows.item(i);

							items.push(item);
						}
					} else {
						console.log('No results found');
					}

					return items;
				}, function (err) {
					console.error(err);
				});
			}

			$rootScope.selectLiquoretypes = function(type) {
				var query = 'SELECT * FROM liquor_lists WHERE liquortype LIKE "%'+type+'%"';
				return $cordovaSQLite.execute(db, query, []).then(function(res) {
					var items = [];
					console.log(res);
					if(res.rows.length > 0) {
						for (var i = 0; i < res.rows.length; i++) {
							var item = res.rows.item(i);

							items.push(item);
						}
					} else {
						console.log('No results found');
					}

					return items;
				}, function (err) {
					console.error(err);
				});
			}

			$rootScope.insert = function(tablename, prop) {
				var l = 1;
				var arrKey = [],
					arrValue = [],
					question = [];
				var columns, items, values;
				angular.forEach(prop, function(value,key){

					arrKey.push(key);
					arrValue.push(value);
					question.push('?');
				})
				columns = arrKey.join();
				values = question.join();

				var query = 'INSERT INTO '+tablename+' ('+columns+') VALUES ('+values+')';
				// console.log(arrValue);
				// console.log(query);
				// console.log($cordovaSQLite.execute(db, query, arrValue));
				return $cordovaSQLite.execute(db, query, arrValue).then(function(res) {
					// item.id = res.insertId;
					return res;
				}, function (err) {
					console.error(err);
					// alert(err);
				});
			}

			$rootScope.insertLiquor = function(tablename, prop){
				console.log(prop);
				var arrKey = [],
					arrValue = [],
					arrValueF = [],
					q = [],
					lq = [];
				var columns, items, values;
				angular.forEach(prop[0], function(v,k){
					q.push(v + ' AS ' + k);
					arrKey.push(k);
				})
				arrValue.push('SELECT '+q);
				console.log(arrValue);
				// var i = true;
				// var j = 0;
				for(i in prop){
					for(j in prop[i]){
						console.log(prop[i][j]);
					}
				}

			}

			$rootScope.dropTable = function(tableName){
				var  query = 'DROP TABLE IF EXISTS '+tableName;
				return $cordovaSQLite.execute(db, query).then(function(res){
					return res;
				})
			}

			$rootScope.searchData = function(query){
				var  query = 'SELECT * FROM '+tableName+ ' WHERE name LIKE "%'+query+'%"';
				console.log(query);
				return $cordovaSQLite.execute(db, query, []).then(function(res) {
					var items = [];
					console.log(res);
					if(res.rows.length > 0) {
						for (var i = 0; i < res.rows.length; i++) {
							var item = res.rows.item(i);

							items.push(item);
						}
					} else {
						console.log('No results found');
					}

					return items;
				}, function (err) {
					console.error(err);
				});
			}

			$rootScope.$on('pdfCheckA', function(){
				if(ionic.Platform.isAndroid()){
		      		copyPdftoLocation();
		      	}
			});


	      	function checkPdfLocation(){
	      		var reader = new FileReader();
				var fileSource = "www/images/PesachBook_AbridgedWeb_2.compressed.pdf";

				reader.onloadend = function(evt) {

				    if(evt.target.result == null) {
				    	copyPdftoLocation();
				       // If you receive a null value the file doesn't exists
				    } else {
				        // Otherwise the file exists
				    }
				};

				// We are going to check if the file exists
				reader.readAsDataURL(fileSource);
	      	}

	      	function copyPdftoLocation(){
	      		asset2sd.copyFile({
			      asset_file: "www/images/PesachBook_AbridgedWeb_2.compressed.pdf",
			      destination_file: "Download/PesachBook_AbridgedWeb_2.compressed.pdf"
			    }, function (e) {
			      console.log('asset copy success',e);
			      // window.alert('copy');
			    }
			    , function(){
			      console.log('asset copy fail');
			    });
	      	}
	      	$rootScope.androidDevice = false;
	      	if(ionic.Platform.isAndroid()){
				$rootScope.androidDevice = true;
			}

		});

		$ionicPlatform.registerBackButtonAction(function (event) {
		    if($state.current.name == 'app.alerts' ||
					$state.current.name == 'app.resources' ||
					$state.current.name == 'app.companies' ||
					$state.current.name == 'app.passover' ||
					$state.current.name == 'app.articles' ||
					$state.current.name == 'app.askrabbi' ||
					$state.current.name == 'app.qanda' ||
					$state.current.name == 'app.about' ||
					$state.current.name == 'app.appliance' ||
					$state.current.name == 'app.contact'){
		      	$state.go('app.home');
		    }else if($state.current.name == 'app.home'){
		    	console.log($ionicPlatform);
		    	navigator.app.exitApp();
		    }else{
		    	// console.log($state);
		    	$ionicHistory.goBack();
		    }
		}, 100);

	});
})

.config(function($urlRouterProvider, $compileProvider, $ionicConfigProvider) {
	$ionicConfigProvider.tabs.position("bottom");
	$compileProvider.imgSrcSanitizationWhitelist(/^\s*(https?|file|blob|cdvfile|content):|data:image\//);
	// if none of the above states are matched, use this as the fallback
	$urlRouterProvider.otherwise('/app/home');
});
