(function () {
    'use strict';

    angular
        .module('appliance', [
            'ionic',
            'xml'
        ])
        .config(function ($httpProvider) {
            $httpProvider.interceptors.push('xmlHttpInterceptor');
        })
        .config(function ($stateProvider) {
            $stateProvider
                .state('app.appliance', {
                    url: '/appliance',
                    views: {
                        'kosher-list': {
                            templateUrl: 'scripts/appliance/search.html',
                            controller: 'applienceController as ap'
                        }
                    }
                })
                .state('app.shabbatUpdates', {
                    url: '/shabbat-updates',
                    views: {
                        'kosher-list': {
                            templateUrl: 'scripts/appliance/shabbatUpdates.html',
                            controller: 'applienceController as ap'
                        }
                    },
                    params:{
                        data:'',
                        viewArticle: ''
                    }
                })
                .state('app.applianceDetails', {
                    url: '/appliance/details',
                    views: {
                        'kosher-list': {
                            templateUrl: 'scripts/appliance/details.html',
                            controller: 'applienceDetailsController as ap'
                        }
                    },
                    params:{
                        data:'',
                        images: '',
                        brand: '',
                        full: null
                    }
                })
                // .state('app.applianceDetail', {
                //     url: '/appliance/detail',
                //     views: {
                //         'info': {
                //             templateUrl: 'scripts/appliance/detail.html',
                //             controller: 'applienceDetailController as ap'
                //         }
                //     },
                //     params:{
                //         data:''
                //     }
                // })
                .state('app.applianceSingle', {
                    url: '/appliance/sigle',
                    views: {
                        'kosher-list': {
                            templateUrl: 'scripts/appliance/single.html',
                            controller: 'applienceSingleController as ap'
                        }
                    },
                    params:{
                        data:''
                    }
                });
        });
})();
