(function() {
	'use strict';

	angular
		.module('appliance')
		.factory('getApplience', getApplience);


	getApplience.$inject = ['$soap', 'ENV', '$http'];


	/* @ngInject */
	function getApplience($soap, ENV, $http){
		return{
			getApplienceList: getApplienceList,
			getApplienceByBrand: getApplienceByBrand,
			getProductDetail: getProductDetail,
			getApplienceCategories: getApplienceCategories,
			getFeaturesList: getFeaturesList,
			getProductFeatures: getProductFeatures,
            getProductSabbathInfo: getProductSabbathInfo
		}

		var base_url = "https://express.star-k.org/WebServices/WS_Appliance.asmx";

		function getApplienceList(){
			return $http.get(ENV.apiEndpoint + 'appliance-products')
              	.then(function(resp) {
                  	return resp.data;
              	},
              	function(err) {
                	console.error('ERR', err);
                //err.status will contain the status code
          	});
		}

		function getApplienceByBrand(id){
			return $http.get(ENV.apiEndpoint + 'appliance-products/'+id)
              	.then(function(resp) {
                  	return resp.data;
              	},
              	function(err) {
                	console.error('ERR', err);
                //err.status will contain the status code
          	});
		}

		function getProductDetail(id) {
			console.log(id);
			var base_url = "https://express.star-k.org/WebServices/WS_Appliance.asmx";
			console.log($soap);
			$soap.setCredentials("test","testpass");
			return $soap.post(base_url, "GetAppliances", {brandId: [id]});
		}

		function getApplienceCategories(){
			return $http.get(ENV.apiEndpoint + 'appliance')
              	.then(function(resp) {
                  	return resp.data;
              	},
              	function(err) {
                	console.error('ERR', err);
                //err.status will contain the status code
          	});
		}

		function getProductFeatures(pid){
			return $http.get(ENV.apiEndpoint + 'appliance-product-features/'+pid)
              	.then(function(resp) {
                  	return resp.data;
              	},
              	function(err) {
                	console.error('ERR', err);
                //err.status will contain the status code
          	});
		}

		function getProductSabbathInfo(catId, brandId){
			return $http.get(ENV.apiEndpoint + 'appliance-product-sabbathinfo/'+catId+'/'+brandId)
				.then(function(resp) {
					return resp.data;
				},
				function(err) {
					console.error('ERR', err);
					//err.status will contain the status code
			});
		}

		function getFeaturesList(id){
			var base_url = "https://express.star-k.org/WebServices/WS_Appliance.asmx";
			$soap.setCredentials("test","testpass");
			return $soap.post(base_url, "GetApplianceFeatures", {brandId: [id]});
		}

	}
})();
