(function () {
    'use strict';

    angular
        .module('appliance')
        .controller('applienceDetailsController', applienceDetailsController);

    applienceDetailsController.$inject = ['$stateParams', 'getApplience', '$sce', '$ionicPopup', '$rootScope'];

    /* @ngInject */
    function applienceDetailsController($stateParams, getApplience, $sce, $ionicPopup, $rootScope) {

        var ap = this;
        console.info('applienceDetailsController');

        ap.limit = 20;

        if($stateParams.brand){
            ap.placeholder = 'Enter model number';
            getApplience.getApplienceByBrand($stateParams.brand.BrandId).then(function(resp){
                // console.log(resp);
                ap.data = resp;
                ap.data2 = resp;
                if(ap.data.length > ap.limit){
                    ap.moreLoad = true;
                }else{
                    ap.moreLoad = false;
                }
            });
        }else if($stateParams.data){
            ap.placeholder = 'Enter product name or model number';
            ap.data = $stateParams.data;
            ap.data2 = $stateParams.data;
            if(ap.data.length > ap.limit){
                ap.moreLoad = true;
            }else{
                ap.moreLoad = false;
            }
        }else if($stateParams.full){
            getApplience.getApplienceList().then(function(list){
                console.log(list);
                // $rootScope.$broadcast('loading:hide');
                ap.data = list;
                ap.data2 = list;
                if(ap.data.length > ap.limit){
                    ap.moreLoad = true;
                }else{
                    ap.moreLoad = false;
                }
            });
        }

        ap.loadMoreArray = function(){
            if(ap.data.length > ap.limit){
                ap.limit += 30;
                ap.moreLoad = true;
                $rootScope.$broadcast('scroll.infiniteScrollComplete');
            }
            else
                ap.moreLoad = false;
        }

        ap.getImage = function(Brand){
            if($stateParams.brand){
                Brand.image = 'http://list.star-k.zanyfrog.com/Utils/MediaData.aspx?id='+$stateParams.brand.BrandImage;
                return Brand.image;
            }
            var v = $stateParams.images.filter(function(c){
                return c.BrandId == Brand.BrandId;
            });
            Brand.image = 'http://list.star-k.zanyfrog.com/Utils/MediaData.aspx?id='+v[0].BrandImage
            return Brand.image;
        }
    }
})();
