(function() {
	'use strict';

	angular
		.module('resources')
		.controller('companiesController', companiesController);

	companiesController.$inject = ['$scope', '$rootScope', 'getListsData', 'ENV', '$stateParams', '$state', '$cordovaGeolocation', '$ionicHistory'];

	/* @ngInject */
	function companiesController($scope ,$rootScope, getListsData, ENV, $stateParams, $state, $cordovaGeolocation, $ionicHistory) {

		$scope.limit = 20;

		// console.log($ionicHistory.viewHistory().backView.stateId);
		$scope.$on('$ionicView.beforeEnter', function(){
			if($ionicHistory.viewHistory().backView === null || $ionicHistory.viewHistory().backView.stateId !== 'app.resources'){
				$rootScope.noBackView = true;
			}else{
				$rootScope.noBackView = false;
			}
		});
		
		var posOptions = {timeout: 10000, enableHighAccuracy: true};
   		$cordovaGeolocation.getCurrentPosition(posOptions).then(function (position) {
      		console.log(position);
      		$rootScope.coords = {
        		lat: position.coords.latitude,
				lng: position.coords.longitude
			};
   		}, function(err) {
      		console.log(err)
   		});
		
		function getListOfCompanies(){
			getListsData.getCompaniesList().then(function(resp){
				console.log(resp);
				if(resp.data && resp.data.length){
					window.localStorage.setItem('companieList', JSON.stringify(resp.data));
					window.localStorage.setItem('companieListTime', resp.summary.last_updated);
					$scope.companieList = resp.data;
					$scope.companieList2 = resp.data;
					if($scope.companieList.length > $scope.limit){
				   		$scope.moreLoad = true;
				   	}else{
						$scope.moreLoad = false;
					}	
				}
			});
		}

		if(!window.localStorage.getItem('companieList')){
			getListOfCompanies();
		}else{ 
			getListsData.getCompaniesListSummary().then(function(resp){
				console.log('getCompaniesListSummary', resp);
				if(resp.summary.last_updated > window.localStorage.getItem('companieListTime')){
					getListOfCompanies();
				} else{
					$scope.companieList = JSON.parse(window.localStorage.getItem('companieList'));
					$scope.companieList2 = $scope.companieList;
					if($scope.companieList.length > $scope.limit){
			   			$scope.moreLoad = true;
				   	}else{
						$scope.moreLoad = false;
					}
				}
								
			});
		}


		
		

		$scope.loadMoreArray = function(){
			if($scope.companieList.length > $scope.limit){
				console.log($scope.limit);
				$scope.limit += 50;
				$scope.moreLoad = true;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			else
				$scope.moreLoad = false;
		}

	}
})();
