(function() {
	'use strict';

	angular
		.module('resources')
		.controller('productsController', productsController);

	productsController.$inject = ['$scope', '$rootScope', 'getListsData', '$stateParams', '$state'];

	/* @ngInject */
	function productsController($scope ,$rootScope, getListsData, $stateParams, $state) {

		$scope.limit = 20;
		
		function getListOfProducts(){
			$rootScope.$broadcast('loading:show');
			getListsData.getListProducts().then(function(resp){
				console.log(resp);
				if(resp.data && resp.data.length){
					window.localStorage.setItem('productList', JSON.stringify(resp.data));
					window.localStorage.setItem('companieListTime', resp.summary.last_updated);
					$scope.productList = resp.data;
					$scope.productList2 = resp.data;
					if($scope.productList.length > $scope.limit){
				   		$scope.moreLoad = true;
				   	}else{
						$scope.moreLoad = false;
					}
					$rootScope.$broadcast('loading:hide');	
				}
			});
		}

		if(!window.localStorage.getItem('productList')){
			getListOfProducts();
		}else{
			$rootScope.$broadcast('loading:show'); 
			getListsData.getListProducts().then(function(resp){
				console.log('getCompaniesListSummary', resp);
				if(resp.summary.last_updated > window.localStorage.getItem('companieListTime')){
					getListOfProducts();
				} else{
					$scope.productList = JSON.parse(window.localStorage.getItem('productList'));
					$scope.productList2 = $scope.productList;
					if($scope.productList.length > $scope.limit){
			   			$scope.moreLoad = true;
				   	}else{
						$scope.moreLoad = false;
					}
				}

				console.log('$scope.remoteTimeStamp', resp.summary.last_updated);
				
				
				$rootScope.$broadcast('loading:hide');
			});
		}

		$scope.loadMoreArray = function(){
			if($scope.productList.length > $scope.limit){
				console.log($scope.limit);
				$scope.limit += 10;
				$scope.moreLoad = true;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			else
				$scope.moreLoad = false;
		}

		function getListOfCompanies(){
			$rootScope.$broadcast('loading:show');
			getListsData.getCompaniesList().then(function(resp){
				console.log(resp);
				if(resp.data && resp.data.length){
					window.localStorage.setItem('companieList', JSON.stringify(resp.data));
					window.localStorage.setItem('companieListTime', resp.summary.last_updated);
					$scope.companieList = resp.data;
					$rootScope.$broadcast('loading:hide');
				}
			});
		}

		if(!window.localStorage.getItem('companieList')){
			getListOfCompanies();
		}else{ 
			$rootScope.$broadcast('loading:show');
			getListsData.getCompaniesListSummary().then(function(resp){
				console.log('getCompaniesListSummary', resp);
				if(resp.summary.last_updated > window.localStorage.getItem('companieListTime')){
					getListOfCompanies();
				} else{
					$scope.companieList = JSON.parse(window.localStorage.getItem('companieList'));
				}
				$rootScope.$broadcast('loading:hide');
				console.log('$scope.remoteTimeStamp', resp.summary.last_updated);
	
			});
		}

		$scope.getCompanyInfo = function(companyId){
			angular.forEach($scope.companieList, function(v,k){
				if(v.id == companyId){
					$state.go('app.singleCompanie',{'data': v});
				}
			})
		}

		$scope.toggleGroup = function(item) {
			if ($scope.isGroupShown(item)) {
				$scope.shownGroup = null;
			} else {
				$scope.shownGroup = item;
			}
		};
        $scope.isGroupShown = function(item) {
            return $scope.shownGroup === item;
        };

        $scope.isCompanyArray = function(val){
        	return angular.isArray(val);
        }

	}
})();
