(function() {
	'use strict';

	angular
		.module('resources')
		.controller('singleCompanieController', singleCompanieController);

	singleCompanieController.$inject = ['$scope', '$rootScope', '$stateParams', '$state', '$ionicActionSheet', '$cordovaFileOpener2'];

	/* @ngInject */
	function singleCompanieController($scope, $rootScope, $stateParams, $state, $ionicActionSheet, $cordovaFileOpener2) {

		if($stateParams.data){
			$scope.singleCompanie = $stateParams.data;
		}
		var fileName, fileUrl;
		function readDownloaded(path){
        	$cordovaFileOpener2.open(path, 'application/pdf',{
          		error: function(err){
	            		console.log(err);
	            		readDownloaded(path);
          		}, 
          		success: function(){
	            		console.log(path);
	          		}
          		}
        	);
		}
		function fail(error) {
		    console.log(error);
		}

		function gotFile(fileEntry) {
		    // Start FileTransfer here...
		    var fileTransfer = new FileTransfer();


		    fileTransfer.download(
		        fileUrl,
		        '/sdcard/Download/'+fileName,
		        function(entry) {
		        	console.log(entry);
		        	$rootScope.$broadcast('loading:hide');
		            readDownloaded(entry.fullPath);
		        },
		        function(error) {
		            console.log("download error source " + error.source);
		            console.log("download error target " + error.target);
		            console.log("upload error code" + error.code);
		            $rootScope.$broadcast('loading:hide');
		        }
		    );
		}

		function gotFS(fileSystem) {
			console.log(fileSystem);
			console.log(fileName);
		   	fileSystem.root.getFile(fileName, {create: true, exclusive: false}, gotFile, fail);
		}

		

		$scope.viewLetter = function(company){
			fileName = company.id + '.pdf';
			if(company.urlLOC.indexOf('http') == -1){
				fileUrl = 'https://express.star-k.org/viewer/LOCViewer.aspx?id=' + company.id + '&target=inline';
			}else{
				fileUrl = company.urlLOC;
			}
			if($rootScope.androidDevice){
				$rootScope.$broadcast('loading:show');
				window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, gotFS, fail);
			}else{
				window.open(fileUrl, '_blank', 'location=no,enableViewportScale=yes,toolbar=yes,toolbarposition=top');
			}
		}

		$scope.openDirection = function(){
			console.log('openDirection');
			launchnavigator.navigate([$scope.singleCompanie.lat, $scope.singleCompanie.lng],
				{app: launchnavigator.APP.USER_SELECT});
		}

	}
})();
