(function() {
	'use strict';

	angular
		.module('stark')
		.config(function($httpProvider) {
			$httpProvider.interceptors.push(function($rootScope, $q, ENV) {
				return {
					request: function(config) {
						config.headers['Token'] = ENV.tokenStark;
						$rootScope.$broadcast('loading:show');
						// console.log(config);
						return config;
					},
					response: function(response) {
						$rootScope.$broadcast('loading:hide');
						return response;
					},
					requestError: function(rejectReason) {
						$rootScope.$broadcast('loading:hide');
						return $q.reject(rejectReason);
					},
					responseError: function(rejectReason) {
						$rootScope.$broadcast('loading:hide');
						return $q.reject(rejectReason);
					}
				};
			});
		})
		.run(function($rootScope, $ionicLoading) {
			$rootScope.$on('loading:show', function() {
				$ionicLoading.show({});
			});

			$rootScope.$on('loading:hide', function() {
				$ionicLoading.hide();
			});
		});
})();