(function () {
    'use strict';

    angular
        .module('contact')
        .controller('contactController', contactController);

    contactController.$inject = ['$scope','$http'];

    /* @ngInject */
    function contactController($scope,$http) {

        if (typeof device !== 'undefined') {
            $scope.deviceId = device.uuid;
        }else{
            $scope.deviceId = "is not set";
        }

        $scope.contact_url = 'http://www.star-k.org/app/inc_contact_app.php?app=1&action=insert';

        $scope.contact = {};
        $scope.sent = false;
        $scope.sentError = false;

        $scope.postContent = function(){
            $scope.errors = {};
            // department, subjectType, name, email, phone, comments
            if(!$scope.contact.department)
                $scope.errors.department = "Please select a department";
            if(!$scope.contact.subjectType)
                $scope.errors.subjectType = "Please select a subject";
            if(!$scope.contact.name)
                $scope.errors.name = "Please enter your name";
            if(!$scope.contact.email || !$scope.validateEmail($scope.contact.email))
                $scope.errors.email = "Please enter a valid email address";
            if(!$scope.contact.phone)
                $scope.errors.phone = "Please enter your phone number";
            if(!$scope.contact.comments)
                $scope.errors.comments = "Please fill out a message";

            if(!angular.equals({}, $scope.errors))
                return false;
            

            Object.toparams = function ObjecttoParams(obj)
            {
                var p = [];
                for (var key in obj)
                {
                    p.push(key + '=' + encodeURIComponent(obj[key]));
                }
                p.push('category=contact');
                return p.join('&');
            };

            var req =
            {
                method: 'POST',
                url: $scope.contact_url,
                data: Object.toparams($scope.contact),
                headers: {'Content-Type': 'application/x-www-form-urlencoded'}
            }

            $http(req).
            success(function(data, status, headers, config)
            {
                if (data == '"success":1'){
                    $scope.sent = true;
                //    $scope.result = "";
                }else{
                    $scope.sentError = true;
                }
                console.log(data);
            }).
            error(function(data, status, headers, config)
            {
                console.log(data);
                $scope.sentError = true;
            });

        }

        $scope.validateForm = function(form){
            if(form.$error.required)
                return false;
            return true;
        }

        $scope.validateEmail = function(email) {
            var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return re.test(email);
        }

    }
})();