(function() {
	'use strict';

	angular
		.module('menu')
		.controller('MenuController', MenuController);

	MenuController.$inject = ['$state', '$scope','$ionicHistory', '$sce', '$rootScope', '$ionicTabsDelegate', '$ionicSideMenuDelegate', '$ionicPopup'];

	/* @ngInject */
	function MenuController($state, $scope,$ionicHistory, $sce, $rootScope, $ionicTabsDelegate, $ionicSideMenuDelegate, $ionicPopup) {
		console.log('MenuController');
		$rootScope.noBackView = false;
		$scope.goto = function(state){
			$ionicHistory.nextViewOptions({
		      historyRoot: true,
		      disableBack: true
		    });
			$state.go(state);
		}

		console.log($ionicHistory.viewHistory());

		$rootScope.trustHtml = function(t){
			return $sce.trustAsHtml(t);
		}

		$rootScope.selectTabWithIndex = function(index) {
			console.log(index);
    		$ionicTabsDelegate.select(index);
  		}


  		if($state.current.name == 'app.main' || $state.current.name == 'app.home'){
  			$scope.hideHome = true;
  		}

  		$scope.isHome = true;

  		var today = new Date();
  		var final = new Date(2016, 10, 30);
  		if(today > final){
          	if(!window.localStorage.getItem('transactionId')){
	    		window.localStorage.removeItem('transactionId');
	    	}
    	}

    	$scope.menuToggle = function(){
    		$ionicSideMenuDelegate.toggleRight();
    	}

		$rootScope.notify = function(title, txt){
			$ionicPopup.alert({
	      		title: title,
				template: txt
	    	});
		}

	}
})();
