(function() {
  'use strict';

  angular
    .module('news')
    .controller('ArticleController', ArticleController);

  ArticleController.$inject = ['$stateParams', 'newsService', '$cordovaSocialSharing', '$sce'];

  /* @ngInject */
  function ArticleController($stateParams, newsService, $cordovaSocialSharing, $sce) {
    var vm = angular.extend(this, {
      article: null
    });

    // ********************************************************************

    console.log($stateParams);
    vm.trustHtml = function(text) {
      return $sce.trustAsHtml(text);
    }

    if ($stateParams.articleId) {
      var articleId = parseInt($stateParams.articleId);
      console.log(articleId);
      newsService.get(articleId)
        .then(function(article) {
          console.log(article);
          vm.article = article.data;
          newsService.getMedia(vm.article.featured_media).success(function(img) {
            console.log(img);
            if (img.media_details.sizes.medium)
              vm.article.mediaUrl = img.media_details.sizes.medium.source_url;
            else if (img.media_details.sizes.thumbnail)
              vm.article.mediaUrl = img.media_details.sizes.thumbnail.source_url;
            else
              vm.article.mediaUrl = '';
          });
          // console.log(vm.article.content.rendered);
          vm.article.content.rendered = vm.article.content.rendered.split('src="/articles/wp-content').join('src="http://star-k.org/articles/wp-content');

          var options = {
            subject: vm.article.title.rendered, // fi. for email
            url: vm.article.link
          }

          var onSuccess = function(result) {
            console.log("Share completed? " + result.completed); // On Android apps mostly return false even while it's true
            console.log("Shared to app: " + result.app); // On Android result.app is currently empty. On iOS it's empty when sharing is cancelled (result.completed=false)
          }

          var onError = function(msg) {
            console.log("Sharing failed with message: " + msg);
          }
          console.log($cordovaSocialSharing.available());
          vm.share = function() {
            window.plugins.socialsharing.share('', options.subject, '', options.url, onSuccess, onError);
          }
        });
    }



  }
})();
