(function() {
	'use strict';

	angular
		.module('news')
		.controller('ArticlesController', ArticlesController);

	ArticlesController.$inject = ['$scope', '$rootScope','$state', 'newsService', 'ENV', '$stateParams'];

	/* @ngInject */
	function ArticlesController($scope, $rootScope, $state, newsService, ENV, $stateParams) {

		var vm = angular.extend(this, {
			navigate: navigate
		});
		// ********************************************************************
		console.log(typeof($stateParams.children));
		console.log($stateParams.children);
		var arr = [];
		var queryStr;
		if($stateParams.item){
			if($stateParams.item.id){
				arr.push($stateParams.item.id);
			}
			if($stateParams.item.children && $stateParams.item.children.length){
				angular.forEach($stateParams.item.children, function(v){
					if(v.id)
						arr.push(v.id);
				})
			}
			queryStr = arr.join();
			console.log('queryStr', queryStr);
			vm.query = queryStr;
			newsService.getAtricleBySlug(queryStr).then(function(article) {
				console.log(article);
				vm.posts = article.data;
				for(var i in vm.posts){
					if(vm.posts[i].featured_media){
						getPostMedia(i,vm.posts[i].featured_media);
					}
				}
			});
		}
		// if(typeof($stateParams.children) !== 'string'){
		// 	arr.push($stateParams.slug);
		// 	angular.forEach($stateParams.children, function(v,k){
		// 		arr.push(v.slug);
		// 	})
		// 	queryStr = arr.join('&');
		// 	console.log(queryStr);
		// 	newsService.getAtricleBySlug(queryStr).then(function(article) {
		// 		console.log(article);
		// 		vm.query = queryStr;
		// 		vm.posts = article.data;
		// 		for(var i in vm.posts){
		// 			if(vm.posts[i].featured_media){
		// 				getPostMedia(i,vm.posts[i].featured_media);
		// 			}
		// 		}
		// 	});
		// }else if(typeof($stateParams.children) === 'string'){
		// 	newsService.getAtricleBySlug($stateParams.slug).then(function(article) {
		// 		console.log(article);
		// 		vm.query = $stateParams.slug;
		// 		vm.posts = article.data;
		// 		for(var i in vm.posts){
		// 			if(vm.posts[i].featured_media){
		// 				getPostMedia(i,vm.posts[i].featured_media);
		// 			}
		// 		}
		// 	});
		// }else{
		// 	newsService.getWpPosts('').success(function(resp){
		// 		//console.log(resp);
		// 		vm.posts = resp;
		// 		for(var i in vm.posts){
		// 			if(vm.posts[i].featured_media){
		// 				getPostMedia(i,vm.posts[i].featured_media);
		// 			}
		// 		}
		// 	});
		// }

		// newsService.all(function(data){
		// 	vm.articles = data;
		// });

		function navigate(articleId) {
			$state.go('app.article', { articleId: articleId });
		}

		function doRefresh() {
			setTimeout($scope.$broadcast('scroll.refreshComplete'), 16000);
		}

		$scope.getActiveTab = function(val){
			if(val == $state.current.name){
				return 'active';
			}else
				return 'not-active';
		}
		console.log($state.current);



		function getPostMedia(orderId, mediaId){
			newsService.getMedia(mediaId).success(function(resp){
				if(angular.isDefined(resp.media_details.sizes.thumbnail))
					vm.posts[orderId].mediaUrl = resp.media_details.sizes.thumbnail.source_url;
				else
					vm.posts[orderId].mediaUrl = resp.source_url;
			});
		}

		var page = 2;
		$scope.loading = true;
		$scope.loadMore = function(slug){
			if(!$scope.loading){
				return;
			}
			$scope.loading = false;
			console.log('load more', slug);
			var nextUrl = slug + '&page='+page;
			newsService.getAtricleBySlug(nextUrl).then(function(posts) {
		    	console.log(posts.data);
		    	var i = posts.data.length;

		    	if( i !== 0 ){
					if(vm.posts && vm.posts.length){
			      		vm.posts = vm.posts.concat(posts.data);
					}else{
						vm.posts = posts.data;
					}
			      	for(var i in vm.posts){
						if(vm.posts[i].featured_media){
							getPostMedia(i,vm.posts[i].featured_media);
						}
					}
			       	$scope.$broadcast('scroll.infiniteScrollComplete');
					$scope.loading = true;
			        page ++;
		     	} else {
					$scope.$broadcast('scroll.infiniteScrollComplete');
			     	$scope.noMoreItemsAvailable = true;
			    }
		    });
			// newsService.getNextWP(next).then(function(resp){
			// 	console.log(resp);
			// 	$scope.$broadcast('scroll.infiniteScrollComplete');
			// })

			// $scope.noMoreItemsAvailable = false;
		}



	}
})();
