(function() {
	'use strict';

	angular
		.module('news', [
			'ionic'
		])
		.config(function($stateProvider) {
			$stateProvider

				.state('app.articles', {
					url: '/articles',
					views: {
						'news': {
							templateUrl: 'scripts/news/articleLanding.html',
							controller: 'ArticlesLandingController as vm'
						}
					}
				})
				.state('app.articlesChild', {
					url: '/articles-child',
					views: {
						'news': {
							templateUrl: 'scripts/news/articles.html',
							controller: 'ArticlesController as vm'
						}
					},
					params:{
						slug: ':slug',
						children: ':children',
						item: null
					}
				})
				.state('app.article', {
					url: '/articles/:articleId',
					views: {
						'news': {
							templateUrl: 'scripts/news/article.html',
							controller: 'ArticleController as vm'
						}
					}
				})
				.state('app.videos', {
					url: '/videos',
					views: {
						'news': {
							templateUrl: 'scripts/news/videos.html',
							controller: 'VideosController as vm'
						}
					}
				})
				.state('app.faq', {
					url: '/faq',
					views: {
						'news': {
							templateUrl: 'scripts/news/faq.html',
							controller: 'faqController as vm'
						}
					}
				});
		});
})();
