(function() {
	'use strict';

	angular
		.module('news')
		.factory('newsService', newsService);

	newsService.$inject = ['$http', '$q', 'ENV'];

	var published = 'filter[post_status]=publish&';

    var queryPage = 'page=';
    var queryQuantity = '&filter[posts_per_page]=5';

	/* @ngInject */
	function newsService($http, $q, ENV) {
		var url = 'http://skounis.s3.amazonaws.com/mobile-apps/barebone-glossy/news.json';
		var result = [];

		var service = {
			all: all,
			get: get,
			getWpPosts: getWpPosts,
			getMedia: getMedia,
			getArticles: getArticles,
			getAtricleBySlug: getAtricleBySlug
		};
		return service;

		// *******************************************************

		// http://stackoverflow.com/questions/17533888/s3-access-control-allow-origin-header
		function all(callback){
			$http.get(url)
				.success(function(data, status, headers, config) {
					// this callback will be called asynchronously
					// when the response is available
					result = data.result;
					callback(result);
				})
				.error(function(data, status, headers, config) {
					// called asynchronously if an error occurs
					// or server returns response with an error status.
					console.log('ERROR (News):' + status);
					callback(result);
				});
		}

		function get(articleId) {
			return $http.get(ENV.WP + 'posts/'+articleId).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function getMedia(medaiId) {
			return $http.get(ENV.WP + 'media/'+medaiId).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function getWpPosts(nextUrl){
			return $http.get(ENV.WP + 'posts'+nextUrl).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function getArticles(){
			return $http.get(ENV.apiEndpoint + 'articles').success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function getAtricleBySlug(slug){
			return $http.get(ENV.WP + 'posts?categories='+slug).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		// function getNewPagePosts(nextUrl){
		// 	return $http.get(ENV.WP + 'posts').success(function(resp){
		// 		return resp;
		// 	},
		// 	function(error){
		// 		console.log(error)
		// 	});
		// }
	}
})();
