(function () {
	'use strict';

	angular
		.module('passover')
		.controller('passoverController', passoverController);

	passoverController.$inject = ['$scope','passoverService', '$cordovaFileOpener2', '$rootScope', 'purchases'];

	/* @ngInject */
	function passoverController($scope ,passoverService, $cordovaFileOpener2, $rootScope, purchases) {

		$scope.thisYear = (new Date()).getFullYear();

		//Uncomment before launch
		// console.log($rootScope);
    // $rootScope.$emit('pdfCheckA');

		/*************************************************
		 *
		 * Only allow entry between March 1 and May 15
		 */
		$scope.tooEarly = function () {
			var march1 = new Date();
			march1.setMonth(2);
			march1.setDate(1);

			return Date.now() < march1;
        };

		$scope.tooLate = function () {
			var may15 = new Date();
			may15.setMonth(4);
			may15.setDate(15);

			return Date.now() > may15;
        };

		// ********************************************************************/
		// $scope.tooEarly = $scope.tooLate = function () { return false }

		purchases.paid().then(function (paid) {
		  $scope.paid = paid;
    });

		passoverService.getPasoverPdfInfo().then(function(resp){
			$scope.pdf_info = resp;

		});

		// passoverService.getPassoverFullPdfInfo().then(function (resp) {
		// 	$scope.full_pdf_info = resp;
		// });

		var fileName, fileUrl;
		function readDownloaded(path){
        	$cordovaFileOpener2.open(path, 'application/pdf',{
          		error: function(err){
	            		console.log(err);
	            		readDownloaded(path);
          		},
          		success: function(){
	            		console.log(path);
	          		}
          		}
        	);
		}
		function fail(error) {
		    console.log(error);
		}

		function gotFile(fileEntry) {
		    // Start FileTransfer here...
		    var fileTransfer = new FileTransfer();


		    fileTransfer.download(
		        $scope.pdf_info.file,
		        '/sdcard/Download/'+fileName,
		        function(entry) {
		        	console.log(entry);
		        	$rootScope.$broadcast('loading:hide');
		            readDownloaded(entry.fullPath);
		        },
		        function(error) {
		            console.log("download error source " + error.source);
		            console.log("download error target " + error.target);
		            console.log("upload error code" + error.code);
		            $rootScope.$broadcast('loading:hide');
		        }
		    );
		}

		function gotFS(fileSystem) {
			console.log(fileSystem);
			console.log(fileName);
		   	fileSystem.root.getFile(fileName, {create: true, exclusive: false}, gotFile, fail);
		}

		function processFileDownload(){
			$rootScope.$broadcast('loading:show');
			window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, gotFS, fail);
			window.localStorage.setItem('pdf_date', $scope.pdf_info.updatedDate);
		}

		$scope.pdfReaderTemp = function(){
			fileName = 'PesachBook_AbridgedWeb.pdf';
	      	if(ionic.Platform.isAndroid()){
				if(!window.localStorage.getItem('pdf_date') || (parseFloat(window.localStorage.getItem('pdf_date')) < $scope.pdf_info.updatedDate)){
					processFileDownload();
				}else{
					$cordovaFileOpener2.open('/sdcard/Download/PesachBook_AbridgedWeb.pdf', 'application/pdf').then(
		          		function(resp){
		            		console.log('url', resp);
		          		},
		          		function(err){
		            		console.log(err);
							processFileDownload();
		          		}
		        	);
				}
      		}else if(ionic.Platform.isIOS()){
	        	window.open(encodeURI($scope.pdf_info.file), '_blank', 'location=no,enableViewportScale=yes,toolbar=yes,toolbarposition=top');
		    }
     	};

		/*
		|-------------------------------------------------------------------------------------------------------------|
		| Full Pdf Version Functions																				  |
		|-------------------------------------------------------------------------------------------------------------|
		*/
/*
     	$scope.pdfReaderFull = function () {
			fileName = 'PesachBook_FullWeb.pdf';
	      	if (ionic.Platform.isAndroid()) {
				if (
					!window.localStorage.getItem('full_pdf_date')
					|| (parseFloat(window.localStorage.getItem('full_pdf_date')) < $scope.pdf_info.updatedDate)
				) {
                    fullPdfDownload();
				} else {
					$cordovaFileOpener2.open('/sdcard/Download/' + fileName, 'application/pdf').then(
		          		function () {},
		          		function () {
                            fullPdfDownload();
		          		}
		        	);
				}
      		} else if (ionic.Platform.isIOS()) {
	        	window.open(
	        		encodeURI($scope.full_pdf_info.file),
					'_blank',
					'location=no,enableViewportScale=yes,toolbar=yes,toolbarposition=top'
				);
		    }
     	};

        function fullPdfDownload(){
            $rootScope.$broadcast('loading:show');
            window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, gotFS_Full, fail);
            window.localStorage.setItem('full_pdf_date', $scope.full_pdf_info['updatedDate']);
        }

        function gotFS_Full(fileSystem) {
            fileSystem.root.getFile(fileName, {create: true, exclusive: false}, gotFile_Full, fail);
        }

        function gotFile_Full() {
            // Start FileTransfer here...
            var fileTransfer = new FileTransfer();

            fileTransfer.download(
                $scope.full_pdf_info.file,
                '/sdcard/Download/' + fileName,
                function(entry) {
                    $rootScope.$broadcast('loading:hide');
                    readDownloaded(entry.fullPath);
                },
                function(error) {
                    $rootScope.$broadcast('loading:hide');
                }
            );
        }
        */
	}
})();
