(function() {
	'use strict';

	angular
		.module('passover', [
			'ionic'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.passover', {
					cache: false,
					url: '/passover',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverInit.html',
							controller: 'passoverController as vm'
						}
					}
				})
				.state('app.howto', {
					url: '/passover-howto',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/howto.html',
							controller: 'passoverController as vm'
						}
					}
				})
				.state('app.passoverInfo', {
					url: '/passover-info',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passover.html',
							controller: 'passoverController as vm'
						}
					}
				})
				.state('app.passoverDisclaimer', {
					url: '/passover-disclaimer',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/disclaimer.html',
							controller: 'passoverController as vm'
						}
					}
				})
				.state('app.prepaid', {
					url: '/passover-pre-paid',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverPrePaid.html',
							controller: 'passoverPaidController'
						}
					}
				})
				.state('app.paid', {
					url: '/passover-paid',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverPaidPreCategories.html',
							controller: 'passoverPaidController'
						}
					}
				})
				.state('app.paidMedicine', {
					url: '/passover-paid-med',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverPaidCategories.html',
							controller: 'passoverPaidController'
						}
					}
				})
				.state('app.singlePaid', {
					url: '/passover-singlePaid/:search',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverPaidProducts.html',
							controller: 'passoverPaidController'
						}
					},
					params:{
						id: ':id',
						products: null
					}
				})
				.state('app.singlePaidAddendum', {
					url: '/passover-singlePaid/:search',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/passoverPaidProd.html',
							controller: 'passoverAfterPaidController'
						}
					},
					params:{
						id: ':id',
						products: null
					}
				})
				.state('app.articlesPassover', {
					url: '/passover-articles',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/articles.html',
							controller: 'passoverArticles'
						}
					}
				})
				.state('app.articlePassover', {
					url: '/passover-articles/:slug',
					views: {
						'passover': {
							templateUrl: 'scripts/passover/article.html',
							controller: 'passoverArticles'
						}
					},
					params:{
						data: ':data'
					}
				})
				.state('app.productDirectory', {
					url: '/passover-product-directory',
					views:{
						'passover': {
							templateUrl: 'scripts/passover/productsDirectory.html',
							controller: 'productDirectoryController'
						}
					}
				})
				.state('app.productCategoriesDirectory', {
					url: '/passover-product-directory/categories',
					views:{
						'passover': {
							templateUrl: 'scripts/passover/productsDirectoryCategories.html',
							controller: 'productDirectoryController'
						}
					},params:{
						search: null,
						categories: null,
						name: null
					}
				})
				.state('app.productSingleDirectory', {
					url: '/passover-product-directory/single',
					views:{
						'passover': {
							templateUrl: 'scripts/passover/productsSingleDirectory.html',
							controller: 'productDirectoryController'
						}
					},params:{
						search: null,
						products: null,
						name: null
					}
				})
				.state('app.passoverAlerts',{
					url: '/passover-alerts',
					views:{
						'passover': {
							templateUrl: 'scripts/passover/passoverAlerts.html',
							controller: 'passoverAlertsController'
						}
					}
				})
				.state('app.passoverAlert',{
					url: '/passover-alert',
					views:{
						'passover': {
							templateUrl: 'scripts/passover/passoverAlert.html',
							controller: 'passoverAlertsController'
						}
					},
					params:{
						data: null
					}
				});
		});
})();
