(function() {
	'use strict';

	angular
		.module('passover')
		.factory('passoverService', passoverService);

	passoverService.$inject = ['$q', '$http', 'ENV'];

	/* @ngInject */
	function passoverService($q, $http, ENV) {

		var service = {
			getItems: getItems,
			getPassover:getPassover,
			getAtricleById: getAtricleById,
			getMedia: getMedia,
			getProductDirectory: getProductDirectory,
			getQuickPick: getQuickPick,
			cancellRequests: cancellRequests,
			getPassoverAlerts: getPassoverAlerts,
			getPasoverPdfInfo: getPasoverPdfInfo,
			getPassoverFullPdfInfo: getPassoverFullPdfInfo
		};
		return service;

		function getItems() {
			return $q.when(angular.copy(items));
		}

		function getPassover(){
			// return $http.get(ENV.apiEndpoint + 'passover').then(function(response){
			// 	return response.data;
			// },
			// function(err){
			// 	console.log('ERR', err);
			// });
			var deferred = $q.defer();
            $http.get(ENV.apiEndpoint + 'passover', {timeout : deferred.promise, cancel : deferred}).then(
				function(data){
                //do something
                deferred.resolve(data);
            },function(err){
                deferred.resolve(err);
            });
            return deferred.promise;
		}

		function getQuickPick(){
			// return $http.get(ENV.apiEndpoint + 'quick-pick-med').then(function(response){
			// 	return response.data;
			// },
			// function(err){
			// 	console.log('ERR', err);
			// })
			var deferred = $q.defer();
            $http.get(ENV.apiEndpoint + 'quick-pick-med', {timeout : deferred.promise, cancel : deferred}).then(
				function(data){
                //do something
                deferred.resolve(data);
            },function(err){
                deferred.resolve(err);
            });
            return deferred.promise;
		}

		function getProductDirectory(){
			// return $http.get(ENV.apiEndpoint + 'product-directory').then(function(response){
			// 	return response.data;
			// },
			// function(err){
			// 	console.log('ERR', err);
			// })
			var deferred = $q.defer();
            $http.get(ENV.apiEndpoint + 'product-directory', {timeout : deferred.promise, cancel : deferred}).then(
				function(data){
                //do something
                deferred.resolve(data);
            },function(err){
                deferred.resolve(err);
            });
            return deferred.promise;
		}

		function getAtricleById(page){
			return $http.get(ENV.WP + 'posts?categories=136&per_page=20&page='+page).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function getMedia(medaiId) {
			return $http.get(ENV.WP + 'media/'+medaiId).success(function(resp){
				return resp;
			},
			function(error){
				console.log(error)
			});
		}

		function cancellRequests(){
			angular.forEach($http.pendingRequests, function(request) {
	          if (request.cancel && request.timeout) {
	             request.cancel.resolve();
	          }
	       });
		}

		function getPassoverAlerts(){
			return $http.get(ENV.apiEndpoint + 'alerts')
              .then(function(resp) {
                  return resp.data;
              },
              function(err) {
                console.error('ERR', err);
                //err.status will contain the status code
              })
		}

		function getPasoverPdfInfo(){
			return $http.get(ENV.apiEndpoint + 'passover_pdf/update')
              .then(function(resp) {
                  return resp.data;
              },
              function(err) {
                console.error('ERR', err);
                //err.status will contain the status code
              })
		}

		function getPassoverFullPdfInfo(){
			return $http.get(ENV.apiEndpoint + 'passover_full_pdf/update')
              .then(function(resp) {
                  return resp.data;
              })
		}
	}
})();
