(function () {
    'use strict';

    angular
        .module('passover')
        .controller('passoverAlertsController', passoverAlertsController);

    passoverAlertsController.$inject = ['$scope','$stateParams', 'passoverService'];

    /* @ngInject */
    function passoverAlertsController($scope, $stateParams, passoverService) {

        $scope.limit = 20;
        var currentYear = new Date().getFullYear();
    	if($stateParams.data)
    		$scope.alert = $stateParams.data;

    	passoverService.getPassoverAlerts().then(function(data){
            console.log(data);
    		$scope.alerts = data.data.filter(function(item){
                var d = new Date(item.eventdate);
                return item.subcategory && (d.getFullYear() == currentYear);
            });
            if($scope.alerts.length > $scope.limit)
                $scope.moreLoad = true;
            else
                $scope.moreLoad = false;
    	});

        $scope.loadMoreAlerts = function(){
            if($scope.alerts.length > $scope.limit){
                $scope.limit += 20;
                $scope.moreLoad = true;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            }
            else
                $scope.moreLoad = false;
        }

    }
})();
