(function () {
	'use strict';

	angular
		.module('passover')
		.controller('passoverArticles', passoverArticles);

	passoverArticles.$inject = ['$scope', '$stateParams','passoverService', '$cordovaSocialSharing'];

	/* @ngInject */
	function passoverArticles($scope, $stateParams, passoverService, $cordovaSocialSharing) {

		// ********************************************************************
        console.log($stateParams);
		$scope.limit = 10;
		var page = 1;
		var options;

		function loadArticles(){
			passoverService.getAtricleById(page).then(function(resp){
                console.log(resp);
                $scope.articles = $scope.articles.concat(resp.data);
				page++;
				if($scope.articles.length > $scope.limit){
					$scope.moreLoad = true;
				}else{
					$scope.moreLoad = false;
				}
            })
		}
        if($stateParams.data){
            $scope.article = $stateParams.data;
			options = {
			  subject: $scope.article.title.rendered, // fi. for email
			  url: $scope.article.link
			}
            getPostMedia($stateParams.data.featured_media);
        }else{
			$scope.articles = [];
            loadArticles();
        }

        function getPostMedia(mediaId){
			passoverService.getMedia(mediaId).success(function(resp){
				if(angular.isDefined(resp.media_details.sizes.thumbnail))
					$scope.article.mediaUrl = resp.media_details.sizes.thumbnail.source_url;
				else
					$scope.article.mediaUrl = resp.source_url;
			});
		}



		var onSuccess = function(result) {
		  console.log("Share completed? " + result.completed); // On Android apps mostly return false even while it's true
		  console.log("Shared to app: " + result.app); // On Android result.app is currently empty. On iOS it's empty when sharing is cancelled (result.completed=false)
		}

		var onError = function(msg) {
		  console.log("Sharing failed with message: " + msg);
		}
		console.log($cordovaSocialSharing.available());
		$scope.share = function(){
			window.plugins.socialsharing.share('',options.subject, '', options.url, onSuccess, onError);
		}


        $scope.loadMoreArticles = function(){
            if($scope.articles.length > $scope.limit){
				loadArticles()
                $scope.limit += 20;
                $scope.moreLoad = true;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            }
            else
                $scope.moreLoad = false;
        }
	}
})();
