(function () {
	'use strict';

	angular
		.module('passover')
		.controller('productDirectoryController', productDirectoryController);

	productDirectoryController.$inject = ['$scope', '$rootScope','passoverService', '$stateParams', '$state', '$cordovaSocialSharing', '$ionicPopup', '$ionicViewService'];

	/* @ngInject */
	function productDirectoryController($scope, $rootScope, passoverService, $stateParams, $state, $cordovaSocialSharing, $ionicPopup, $ionicViewService) {

		console.log('productDirectoryController');

        $scope.thisYear = (new Date()).getFullYear();
        $scope.lsKey    = 'passover_list_' + $scope.thisYear;


		$scope.limit = 20;

		var myPopup, message;
        console.log($stateParams);
		$scope.kashrus = false;
		if(typeof $rootScope.lists == 'undefined'){
			$rootScope.lists = [];
		}

		if($stateParams.name && ($stateParams.name == 'Star-K')){
			$scope.kashrus = true;
		}else{
			$scope.kashrus = false;
		}

        if($stateParams.products){

            $scope.products = [];
            $scope.productsf = [];
            $scope.products = $stateParams.products;
            if($scope.products.length > $scope.limit){
                $scope.moreLoad = true;
            }else{
                $scope.moreLoad = false;
            }
            $scope.productsf = $stateParams.products;
        }else if($stateParams.categories){
			if($stateParams.name && ($stateParams.name == 'Star-K')){
				$scope.cat_name = 'Star-K';
			}else{
				$scope.cat_name = false;
			}
			console.log('$stateParams.categories', $stateParams.categories);
            $scope.categories = [];
            $scope.categoriesf = [];
            var keys = Object.keys($stateParams.categories);
            angular.forEach(keys, function(v){
                $scope.categories.push({name: v, products: $stateParams.categories[v].products})
            });
            if($scope.categories.length > $scope.limit){
                $scope.moreLoad = true;
            }else{
                $scope.moreLoad = false;
            }
            $scope.categoriesf = $scope.categories;
            console.log($scope.categories);
        }else{

            // $rootScope.categoriesf = [];
			$rootScope.$broadcast('loading:show');
			if(!$rootScope.lists.length){
				if(!$rootScope.networkOffline){
					passoverService.getProductDirectory().then(function(resp) {
						if(resp.data){
							$rootScope.lists = resp.data;
		                    window.localStorage.setItem('produc_directory', JSON.stringify(resp.data));
						}
	                });
				}else{
					if(!window.localStorage.getItem('produc_directory')){
						$rootScope.notify('No Internet Connection', 'Please try again when you have a good signal');
						$ionicViewService.getBackView().go();
						$rootScope.$broadcast('loading:hide');
					}else{
						$rootScope.lists = JSON.parse(window.localStorage.getItem('produc_directory'));
					}
				}
			}
			$scope.$on('network:offfine', function(){
				passoverService.cancellRequests();
				if(!window.localStorage.getItem('produc_directory')){
					$rootScope.notify('No Internet Connection', 'Please try again when you have a good signal');
					$ionicViewService.getBackView().go();
					$rootScope.$broadcast('loading:hide');
				}else{
					$rootScope.categories = JSON.parse(window.localStorage.getItem($scope.lsKey));
					$rootScope.lists = JSON.parse(window.localStorage.getItem('produc_directory'));
				}

			});
            // if($rootScope.categories.length > $scope.limit){
            //     $scope.moreLoad = true;
            // }else{
            //     $scope.moreLoad = false;
            // }
            // $rootScope.categoriesf = $rootScope.categories;
            $rootScope.$broadcast('loading:hide');
        }
        if($stateParams.search){
            $scope.search = $stateParams.search;
        }


		$scope.loadMoreArray = function(){
			if($scope.categories.length > $scope.limit){
				console.log($scope.limit);
				$scope.limit += 50;
				$scope.moreLoad = true;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			else
				$scope.moreLoad = false;
		}

		$scope.loadMoreArrayProducts = function(){
			if($scope.products.length > $scope.limit){
				$scope.limit += 20;
				$scope.moreLoad = true;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			else
				$scope.moreLoad = false;
		}

		var onSuccess = function(result) {
		  console.log("Share completed? " + result.completed); // On Android apps mostly return false even while it's true
		  console.log("Shared to app: " + result.app); // On Android result.app is currently empty. On iOS it's empty when sharing is cancelled (result.completed=false)
		}

		var onError = function(msg) {
		  console.log("Sharing failed with message: " + msg);
		}
		console.log($cordovaSocialSharing.available());
		// $scope.share = function(){
		// 	window.plugins.socialsharing.share('',options.subject, '', options.url, onSuccess, onError);
		// }

		$scope.showInfo = function(k) {
			var txt;
			console.log(k);
			if(k.indexOf('STAR-K P Required') > -1){
				txt = 'Product certified for Passover only when bearing STAR-K P on the label.';
			}
			else if(k.indexOf('STAR-K No P Required') > -1){
				txt = 'Product certified for Passover when bearing the STAR-K symbol. No additional “P” or “Kosher for Passover” statement is necessary.';
			}else if(k.indexOf('No P Required') > -1){
				txt = 'Products certified for Passover by another kashrus agency when bearing their Kosher symbol. No additional “P” or “Kosher for Passover” statement is necessary.';
			}else if(k.indexOf('P Required') > -1){
				txt = 'Product certified for Passover by another kashrus agency when bearing their Kosher symbol followed by a “P” or “Kosher for Passover”.'
			}else{
				return;
			}
	    	var alertPopup = $ionicPopup.alert({
	      		title: txt
	    	});
	    	alertPopup.then(function(res) {
	      	console.log('Thank you for not eating my delicious ice cream cone');
	    	});
	  	};

		$scope.checkInfo = function(k){
			if(k.indexOf('STAR-K P Required') > -1){
				return true;
			}
			else if(k.indexOf('STAR-K No P Required') > -1){
				return true;
			}else if(k.indexOf('No P Required') > -1){
				return true;
			}else if(k.indexOf('P Required') > -1){
				return true;
			}else{
				return false;
			}
		}

	}
})();
