(function () {
    'use strict';

    angular
        .module('q-and-a')
        .controller('qaController', qaController);

    qaController.$inject = ['$scope', 'getQaData'];

    /* @ngInject */
    function qaController($scope, getQaData) {

        $scope.limit = 20;

    	getQaData.getData().success(function(data){
    		$scope.qas = data.data;
            if($scope.qas.length > $scope.limit)
                $scope.moreLoad = true;
            else
                $scope.moreLoad = false;
    	});

        $scope.toggleGroup = function(group) {
            if ($scope.isGroupShown(group)) {
              $scope.shownGroup = null;
            } else {
              $scope.shownGroup = group;
            }
        };

        $scope.isGroupShown = function(group) {
            return $scope.shownGroup === group;
        };

        $scope.loadMoreQNA = function(){
            if($scope.qas.length > $scope.limit){
                $scope.limit += 30;
                $scope.moreLoad = true;
            }
            else
                $scope.moreLoad = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
        }

    }
})();