//var API = 'http://159.203.1.184/stark';
(function() {
	'use strict';

	angular
		.module('resources')
		.factory('getListsData', getListsData);

	
	getListsData.$inject = ['$http', 'ENV'];


	/* @ngInject */
	function getListsData($http, ENV){
		return{
			getApiData: getApiData,
			getDataByList: getDataByList,
			getResources: getResources,
			getRetail: getRetail,
			getCompaniesList: getCompaniesList,
			getCompaniesListSummary: getCompaniesListSummary,
			getListProducts: getListProducts
		}

		function getApiData(){
			return $http.get(ENV.apiEndpoint + 'lists')
              .success(function(resp) {
                  return resp.data;
              },
              function(err) {
                console.error('ERR', err);
                //err.status will contain the status code
              })
		}

		function getDataByList(list){
			return $http.get(ENV.apiEndpoint + list)
              .success(function(resp) {
                  return resp.data;
              },
              function(err) {
                console.error('ERR', err);
                //err.status will contain the status code
              })
		}

		function getResources(){
			return $http.get(ENV.apiEndpoint + 'resources').success(function(response){
				return response.data;
			},
			function(err){
				console.log('ERR', err);
			})
		}

		function getRetail(){
			return $http.get(ENV.apiEndpoint + 'retail_companies').then(function(response){
				return response.data;
			},
			function(err){
				console.log('ERR', err);
			})
		}

		function getCompaniesList(){
			return $http.get(ENV.apiEndpoint + 'companies_main_list').then(function(response){
				return response.data;
			},
			function(err){
				console.log('ERR', err);
			})
		}

		function getCompaniesListSummary(){
			return $http.get(ENV.apiEndpoint + 'companies_main_list/0').then(function(response){
				return response.data;
			},
			function(err){
				console.log('ERR', err);
			})
		}

		function getListProducts(){
			return $http.get(ENV.apiEndpoint + 'category').then(function(response){
				return response.data;
			},
			function(err){
				console.log('ERR', err);
			})
		}

		
	}
})();
