(function() {
	'use strict';

	angular
		.module('resources')
		.controller('resourcesController', resourcesController);

	resourcesController.$inject = ['$scope','$state', '$rootScope', 'getListsData', 'ENV', 'externalAppsService', '$cordovaEmailComposer', '$cordovaAppRate', 'initialService', 'sqliteService'];

	/* @ngInject */
	function resourcesController($scope, $state, $rootScope, getListsData, ENV, externalAppsService, $cordovaEmailComposer, $cordovaAppRate, initialService, sqliteService) {

		function rateThisAppNow(){
			$cordovaAppRate.promptForRating(true);
		}

		if(!window.localStorage.getItem('initialListData')){
			initialService.initialList().success(function(data){
				$rootScope.initialListData = data;
				window.localStorage.setItem('initialListData', JSON.stringify(data));

				console.log(data);
				
				angular.forEach($rootScope.initialListData, function(v,k){
					// console.log(v);
					createTable(v.table, v.tableSchema); // web v
					// $rootScope.createTables(v.table, v.tableSchema);
				});
			});
		}else{
			$rootScope.initialListData = JSON.parse(window.localStorage.getItem('initialListData'));
		}


		function createTable(tableName, schema){
			var schema_adapted = schema.join(' text,');
			$rootScope.createTables(tableName, schema_adapted);
			// console.log('$cordovaSQLite.execute(db, CREATE TABLE IF NOT EXISTS '+tableName+' (tid integer primary key auto increment, '+ schema_adapted +')');
		}


		if(!window.localStorage.getItem('resources')){
			getListsData.getResources().then(function(resp){
				$scope.resources = resp.data;
				window.localStorage.setItem('resources', JSON.stringify(resp.data));
				console.log('resources', $scope.resources);
				console.log('initialListData' , $rootScope.initialListData);
			})
		}else{
			$scope.resources = JSON.parse(window.localStorage.getItem('resources'));
			console.log('resources', $scope.resources);
		}

		$scope.gotoList = function(listName){
			console.log(listName);
			if(!angular.isObject(listName) && listName !== 'retail_companies'){
				angular.forEach($rootScope.initialListData, function(v,k){
					if(k == listName){
						console.log(v);
						// if(listName == 'Liquor Types'){
						// 	$state.go('app.liquoreTap',{id: v.table, schema: v.tableSchema});
						// }else
							$state.go('app.singleTable',{id: v.table, schema: v.tableSchema});
					}
				})
			}else if(listName["wp-article"]){
				console.log(listName);
				$state.go('app.article', { articleId: listName["wp-article"] });
			}else{
				console.log('else', listName);
				$state.go('app.resourcesSublist', {data: listName});
			}
			
		}
	}
})();
