(function() {
	'use strict';

	angular
		.module('resources', [
			'ionic',
			'ngCordova',
			'barebone.common'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.resources', {
					url: '/resources',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/resources/resources.html',
							controller: 'resourcesController as vm'
						}
					}
				})
				.state('app.resourcesSublist', {
					url: '/resources',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/resources/medicine.html',
							controller: 'resourcesSubController as vm'
						}
					},
					params:{
						data: ':data'
					}
				})
				.state('app.singleTable', {
					url: '/resources/:id',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/resources/singleTable.html',
							controller: 'singleTable'
						}
					},
					params:{
						schema: ':schema'
					}
				})
				.state('app.liquoreTap', {
					url: '/resources/liquore',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/resources/liquoreTap.html',
							controller: 'singleTable'
						}
					},
					params:{
						schema: ':schema'
					}
				})
				.state('app.liquoreTapAll', {
					url: '/resources/liquore/all',
					cache: false,
					views: {
						'kosher-list':{
							templateUrl: 'scripts/resources/singleTableListLiquore.html',
							controller: 'singleTableList'
						}
					}
				})
				.state('app.singleWP', {
					url: '/resources/:articleId',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/news/article.html',
							controller: 'ArticleController as vm'
						}
					}
				})
				.state('app.commmonBrands',{
					url: '/resources-liquore',
					views: {
						'kosher-list': {
							templateUrl: 'scripts/resources/singleTableListLiquore.html',
							controller: 'singleTableList as vm'
						}
					},
					params:{
						id: ':id'
					}
				});
		});
})();
