(function() {
	'use strict';

	angular
		.module('resources')
		.controller('singleTable', singleTable);

	singleTable.$inject = ['$scope', '$rootScope', 'getListsData', 'ENV', '$stateParams','$state'];

	/* @ngInject */
	function singleTable($scope,$rootScope, getListsData, ENV, $stateParams,$state) {

		$scope.limit = 30;
		$scope.table;
		console.log($stateParams);
		if($stateParams.id == 'liquor_types'){
			$scope.liquor_types = 'liquor_types';
		}

		$scope.isLiquore = function(){
			if($scope.liquor_types){
				$state.go('app.liquoreTapAll');
			}
		}
		$rootScope.$broadcast('loading:show');
		// getListsData.getDataTimestampByList($stateParams.id).then(function(resp){
		// 	console.log(resp);
		// });
		$rootScope.getTimeStampTable($stateParams.id).then(function(resp){
			console.log('getTimeStampTable', resp);
			if(resp.length != 0){
				$scope.currentTable = resp[0].timeStamp;
				console.log('getTimeStampTable', $scope.currentTable);
			}
		})

        function dropUpdateTable(){

        	$rootScope.dropTable($stateParams.id);
        	$rootScope.deleteTimestampTable($stateParams.id);
        	getListData();
        	if($stateParams.id == 'liquor_types'){
        		console.info($scope.table);
        		if(!window.localStorage.getItem('liquor_lists')){
					window.localStorage.removeItem('liquor_lists');
				}
        	}
        }

        function getListData(){
        	getListsData.getDataByList($stateParams.id).then(function(respDataList){
				console.log('respDataList', respDataList);
				$rootScope.setTimeStampTable($stateParams.id, respDataList.data.summary.last_updated).then(function(response){
					console.log(response);
				})
				$scope.table = respDataList.data.data;
				if($stateParams.id == 'liquor_types'){
					if(!window.localStorage.getItem('liquor_lists')){
						getListsData.getDataByList('liquor_lists').then(function(respList){
							var t = JSON.stringify(respList.data.data);
							window.localStorage.setItem('liquor_lists', t);
							$scope.table2 = liquoreTypes(respDataList.data.data);
						});
					}else{
						$scope.table2 = liquoreTypes(respDataList.data.data);
					}

				}else{
					$scope.table2 = respDataList.data.data;
				}
				if($scope.table.length > $scope.limit){
					console.log($scope.table.length);
					$scope.moreLoad = true;
				}else{
					$scope.moreLoad = false;
				}

				// fill db
				angular.forEach($scope.table, function(v,k){
					$rootScope.insert($stateParams.id,v).then(function(respInsert){
						// console.log(respInsert);
					})
				})

				$rootScope.$broadcast('loading:hide');
			})
        }


        $scope.toggleGroup = function(item) {
			if ($scope.isGroupShown(item)) {
				$scope.shownGroup = null;
			} else {
				$scope.shownGroup = item;
			}
		};
        $scope.isGroupShown = function(item) {
            return $scope.shownGroup === item;
        };

		$scope.checkIfItemBody = function(item) {
            if (item.attributes){
                if (item.attributes.toString().length > 2){
                    var tempAttr = true;
                }
                else {
                    var tempAttr = false;
                }
            }
            else {
                var tempAttr = false;
            }
			if (item.company|| item.description || item.certificationstatus|| item.certificationinfo || item.excludinginfo || item.footnote || item.kosherstatus || item.brocha || item.brochaachrona || item.instruction || tempAttr){
                return true;
            }else{
                return false;
            }
		}

		function getFromDb(){
			$rootScope.selectAll($stateParams.id).then(function(resp){
				// console.log(resp);
				if(resp.length == 0){
					getListData();
				}else{
					$scope.table = resp;
					if($stateParams.id == 'liquor_types'){
						$scope.table2 = liquoreTypes(resp);
					}else{
						$scope.table2 = resp;
						console.log('here table2');
					}
					if($scope.table.length > $scope.limit){
						$scope.moreLoad = true;
					}else{
						$scope.moreLoad = false;
					}
					$rootScope.$broadcast('loading:hide');
				}

			});
		}

		function liquoreTypes(arr){
			console.log(arr);
			var list = JSON.parse(window.localStorage.getItem('liquor_lists'));
			console.log(list);
			for(var i in arr){
				arr[i].data = [];
				for(var j in list){
					if(list[j].liquortype == arr[i].name){
						arr[i].data.push(list[j]);
					}
				}
			}
			console.log(arr);
			return arr;
		}

		if(navigator){
        	// window.alert(navigator.connection.type);
        	if(navigator.connection.type != 'none'){
        		getListsData.getDataByList($stateParams.id+'/0').then(function(r){
	        		var last_updated = r.data.summary.last_updated;
	        		console.log(last_updated);
	        		if(last_updated > $scope.currentTable){
	        			dropUpdateTable();
	        		}else{
	        			getFromDb();
	        		}
	        	})
        	}
        }else{
        	getFromDb();
        }

		$scope.doSearch = function(query){
			var  query = 'SELECT * FROM '+tableName+ ' WHERE name LIKE "%'+query+'%"';
			console.log(query);
			$rootScope.searchData($stateParams.id, query).then(function(result){
				console.log('result: ', result);
			})
		}



		$scope.loadMoreArray = function(){
			if($scope.table.length > $scope.limit){
				console.log($scope.limit);
				$scope.limit += 30;
				$scope.moreLoad = true;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			else
				$scope.moreLoad = false;
		}

	}
})();
