(function() {
	'use strict';

	var DB_NAME = 'my.db';

	angular
		.module('barebone.sqlite')
		.factory('sqliteService', sqliteService);

	sqliteService.$inject = ['$q', '$cordovaSQLite'];

	/* @ngInject */
	function sqliteService($q, $cordovaSQLite) {
		var db;
		// initDb();

		var service = {
			selectAll: selectAll,
			insert: insert,
			deleteItem: deleteItem,
			updateItem: updateItem,
			createTables: createTables,
			createTimeStampTable:createTimeStampTable,
			getTimeStampTable: getTimeStampTable,
			updateTimeStampTable: updateTimeStampTable,
			setTimeStampTable: setTimeStampTable,
			dropTable: dropTable
		};
		return service;

		function initDb() {
			if (window.cordova) {
		      db = $cordovaSQLite.openDB({ name: DB_NAME }); //device
		    }else{
		      db = window.openDatabase("my.db", '1', 'my', 1024 * 1024 * 100); // browser
		    }
		    // createTimeStampTable();

		    $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS timestamp (id integer primary key, tableName text, timeStamp text)');
		 //    $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS test (id integer primary key, title text, teaser text)');
		 //    $cordovaSQLite.execute(db, "CREATE TABLE IF NOT EXISTS seven11 (tid integer primary key, id text,name text,brand text,footnote)");
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS antacids (tid integer primary ke, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS anti_diarrheal (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS anti_nausea (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS beverages (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS caffeine (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS category (tid integer primary key, id text,name text,establishments text,companies');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS cereals_brochos (tid integer primary key, id text,name text,brand text,company text,footnote text,kosherstatus text,brocha text,brochaachrona');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS cold_allergy_decongestants (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS companies_main_list (tid integer primary key, id text,name text,url text,address text,additionalName text,city text,state text,state text,postal text,country text,phone text,urlLOC text,entryDate text,isStarK text,isStarD text,isStarS text,categoryID');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS companies_new (tid integer primary key, id text,name text,url text,address text,additionalName text,city text,state text,state text,postal text,country text,phone text,urlLOC text,entryDate text,isStarK text,isStarD text,isStarS text,categoryID');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS companies_star_d (tid integer primary key, id text,name text,url text,address text,additionalName text,city text,state text,state text,postal text,country text,phone text,urlLOC text,entryDate text,categoryID');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS companies_star_s (tid integer primary key, id text,name text,url text,address text,additionalName text,city text,state text,state text,postal text,country text,phone text,urlLOC text,entryDate text,categoryID');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS fiber (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS immune_system (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS lactose_intolerant (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS laxatives (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS liquor_lists (tid integer primary key, id text,name text,brand text,company text,footnote text,liquortype text,approved');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS liquor_types (tid integer primary key, id text,name text,description text,certificationstatus text,certificationinfo text,excludinginfo');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS medicine (tid integer primary key, id text,name text,description text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS obgyn (tid integer primary key, id text,name text,description text,note text,brand text,company text,footnote text,kosherStatus');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS pain_relievers (tid integer primary key, id text,name text,description text,note text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS pinworm (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS pro_biotic (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS produce (tid integer primary key, id text,name text,imageURL text,instruction');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS rec_soft_drinks (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS rf_frozen_beverages (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS sleeping_aids (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS smoking_cessation (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
			// $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS urinary_health (tid integer primary key, id text,name text,brand text,company text,footnote text,attributes');
		}

		function createTables(tableName, schema){
			$cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS '+tableName+' (tid integer primary key, '+ schema +')');
			//return 'creted: '+tableName;
		}

		function createTimeStampTable(){
			$cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS timestamp (id integer primary key, tableName text, timeStamp text)');
			//return 'creted: '+tableName;
		}

		function setTimeStampTable(tablename, timeStamp){
			var query = 'INSERT INTO timestamp (tableName, timeStamp) VALUES (?, ?)';
			return $cordovaSQLite.execute(db, query, [tablename, timeStamp]).then(function(res) {
				console.log(res);
				// item.id = res.insertId;
				return res;
			}, function (err) {
				console.error(err);
				alert(err);
			});
		}

		function updateTimeStampTable(tablename, timeStamp){
			var query = 'UPDATE timestamp SET timeStamp = ? WHERE tableName = ?';
			return $cordovaSQLite.execute(db, query, [timeStamp, tablename]);
		}

		function getTimeStampTable(tablename){
			console.log(tablename);
			var query = 'SELECT * FROM timestamp WHERE tableName='+tablename;
			return $cordovaSQLite.execute(db, query).then(function(resp){
				return resp;
			});
		}

		function deleteItem(id) {
			var query = 'DELETE FROM items WHERE id = ?';
			return $cordovaSQLite.execute(db, query, [id]);
		}

		function updateItem(item) {
			var query = 'UPDATE items SET title = ?, teaser = ? WHERE id = ?';
			return $cordovaSQLite.execute(db, query, [item.title, item.teaser, item.id]);
		}

		function selectAll(tableName) {
			var query = 'SELECT * FROM '+tableName;
			return $cordovaSQLite.execute(db, query).then(function(res) {
				var items = [];

				if(res.rows.length > 0) {
					for (var i = 0; i < res.rows.length; i++) {
						var item = res.rows[i];

						items.push(item);
					}
				} else {
					console.log('No results found');
				}

				return items;
			}, function (err) {
				console.error(err);
			});
		}

		function insert(tablename, prop) {
			//console.log(tablename);
			//console.log(prop);
			var l = 1;
			var arrKey = [],
				arrValue = [],
				question = [];
			var columns, items, values;
			angular.forEach(prop, function(value,key){
				//console.log(value);
				//console.log(key);
				arrKey.push(key);
				arrValue.push(value);
				question.push('?');
				// l++;
			})
			columns = arrKey.join();
			values = question.join();

			var query = 'INSERT INTO '+tablename+' ('+columns+') VALUES ('+values+')';

			return $cordovaSQLite.execute(db, query, arrValue).then(function(res) {
				console.log(res);
				// item.id = res.insertId;
				return res;
			}, function (err) {
				console.error(err);
				alert(err);
			});
		}

		function dropTable(tableName){
			var  query = 'DROP TABLE IF EXISTS '+tableName;
			return $cordovaSQLite.execute(db, query).then(function(res){
				return res;
			})
		}
	}
})();
