(function() {
	'use strict';

	angular
		.module('barebone.vimeo')
		.controller('channelController', channelController);

	channelController.$inject = ['$stateParams', 'vimeoService', '$state', '$scope'];

	/* @ngInject */
	function channelController($stateParams, vimeoService, $state, $scope) {
		var userId = 'user17037637';

		var vm = angular.extend(this, {
			channels: [],
			navigate: navigate
		});

		(function activate() {
			getChannelList();
		})();
		// ********************************************************************

		function getChannelList() {
			return vimeoService.getChannels()
				.then(function(data) {
					console.log(data);
					// vm.moreItemsAvailable = data.moreItemsAvailable;
					vm.channels = data.data;
				}, function() {
					// $ionicPopup.alert({
					// 	title: 'No videos',
					// 	template: 'No videos to display fount'
					// });
				});
		}

		function getImage(img, index){
			return vimeoService.getImage(img).then(function(data){
				vm.channels[index].image = data;
			})
		}

		function navigate(channel) {
			console.log(channel);
			$state.go('app.vimeo-videos', {
				channel: channel.uri
			});
		}

		$scope.getActiveTab = function(val){
			if(val == $state.current.name){
				return 'active';
			}else
				return 'not-active';
		}
	}
})();