(function() {
	'use strict';

	angular
		.module('barebone.vimeo')
		.filter('vimeoEmbedUrl', vimeoEmbedUrl)
		.filter('vimeoPictureUri', vimeoPictureUri);

	vimeoEmbedUrl.$inject = ['$sce'];
	vimeoPictureUri.$inject = ['$sce'];

	/* @ngInject */
	function vimeoEmbedUrl($sce) {
		return function(videoId) {
			return $sce.trustAsResourceUrl('https://player.vimeo.com/video/' + videoId);
		};
	}
	function vimeoPictureUri($sce) {
		return function(pictureUri) {
			return $sce.trustAsResourceUrl(pictureUri);
		};
	}
})();
