(function() {
	'use strict';

	angular
		.module('barebone.vimeo')
		.controller('VimeoVideoController', VimeoVideoController);

	VimeoVideoController.$inject = ['$stateParams', 'vimeoService', '$scope', '$cordovaSocialSharing'];

	/* @ngInject */
	function VimeoVideoController($stateParams, vimeoService, $scope, $cordovaSocialSharing) {
		var videoId = $stateParams.videoId;

		var vm = angular.extend(this, {
			video: null
		});

		(function active() {
			getVideo();
		})();

		// ********************************************************************
		// vm.video = videoId;
		function getVideo() {
			vimeoService.getVideo(videoId).then(function(video) {
				console.log(video);
				vm.video = video;
				vm.video.id = videoId;
				var options = {
				  subject: vm.video.name, // fi. for email
				  url: vm.video.link
				}

				var onSuccess = function(result) {
				  console.log("Share completed? " + result.completed); // On Android apps mostly return false even while it's true
				  console.log("Shared to app: " + result.app); // On Android result.app is currently empty. On iOS it's empty when sharing is cancelled (result.completed=false)
				}

				var onError = function(msg) {
				  console.log("Sharing failed with message: " + msg);
				}
				console.log($cordovaSocialSharing.available());
				vm.share = function(){
					window.plugins.socialsharing.share('',options.subject, '', options.url, onSuccess, onError);
				}

			});

		}

	}
})();
