(function() {
	'use strict';

	angular
		.module('barebone.vimeo')
		.controller('VimeoVideosController', VimeoVideosController);

	VimeoVideosController.$inject = ['$scope', '$state', '$stateParams','$ionicPopup', 'vimeoService'];

	/* @ngInject */
	function VimeoVideosController($scope, $state, $stateParams, $ionicPopup, vimeoService) {
		var userId = 'user17037637';

		var channel = $stateParams.channel;

		var vm = angular.extend(this, {
			videos: [],
			navigate: navigate,
			refresh: refresh,
			loadMore: loadMore
		});
		$scope.videos = [];
		console.log('VimeoVideosController');
		(function activate() {
			getVideos(channel);
		})();
		// ********************************************************************
		
		function getVideos(channel) {
			vm.videos = [];
			return vimeoService.getVideos(channel)
				.then(function(data) {
					vm.moreItemsAvailable = data.moreItemsAvailable;
					vm.videos = data.videos;
				}, function() {
					$ionicPopup.alert({
						title: 'No videos',
						template: 'No videos to display fount'
					});
				});
		}


		function refresh() {
			getVideos().then(function(items) {
				$scope.$broadcast('scroll.refreshComplete');
			});
		}

		function loadMore() {
			return vimeoService.getMoreVideos(channel).then(function(data) {
				vm.moreItemsAvailable = data.moreItemsAvailable;
				vm.videos = data.videos;
				$scope.$broadcast('scroll.infiniteScrollComplete');
			});
		}

		function navigate(video) {
			$state.go('app.vimeo-video', {
				videoId: video.id
			});
		}

		$scope.getActiveTab = function(val){
			if(val == $state.current.name){
				return 'active';
			}else
				return 'not-active';
		}
	}
})();
